# class ActionDispatch::PublicExceptions

A simple Rack application that renders exceptions in the given public path.

### Attributes

public_path[RW]

### Public Class Methods

new(public_path) click to toggle source

    # File lib/action_dispatch/middleware/public_exceptions.rb, line 6
    def initialize(public_path)
      @public_path = public_path
    end

### Public Instance Methods

call(env) click to toggle source

    # File lib/action_dispatch/middleware/public_exceptions.rb, line 10
    def call(env)
      status      = env["PATH_INFO"][1..-1]
      locale_path = "#{public_path}/#{status}.#{I18n.locale}.html" if I18n.locale
      path        = "#{public_path}/#{status}.html"

      if locale_path && File.exist?(locale_path)
        render(status, File.read(locale_path))
      elsif File.exist?(path)
        render(status, File.read(path))
      else
        [404, { "X-Cascade" => "pass" }, []]
      end
    end